Your cart is empty

Do you want to shop our Products?
Explore our FreeStyle Libre 2 Sensor and add it to your Cart.

I am attempting to update my FreeStyle LibreLink app to the latest version available in the app store, but I received a message stating that I need to update my phone’s OS. What should I do?

If you receive a message to update your phone’s OS when attempting to update or download the FreeStyle LibreLink app, it means that your phone does not meet the minimum operating system requirements.

You will need to update your phones’ OS to meet the minimum OS before you can download and install the latest version of the FreeStyle LibreLink app.

◊ The FreeStyle LibreLink app is only compatible with certain mobile devices and operating systems. Please check our website for more information about device compatibility before using the app. Use of the FreeStyle LibreLink app may require registration with LibreView.

Loading...